<?xml version='1.0' encoding='us-ascii'?>
<!-- Metric name can be any string, but do not use duplicate names -->
<!-- Valid types include "Arrays", "Logical drives", "Channels", and "Physical drives" -->
<!-- Parameters for expressions include mreads (# of reads) , mwrites (# of writes), mtime (elapsed time
 since adapter was reset), readSec (# of sectors read), writeSec (# of sectors written), fullCache ( full
 cache hits ), and partCache (partial cache hits) -->
<!-- Note that partCache and fullCache aren't valid for physical drives or channels, and will return 0.-->

<METRICLIST>
   
   <METRIC NAME="Total I/O per second">
      <TYPE NAME= "Arrays"></TYPE>
      <TYPE NAME= "Logical drives"></TYPE>
      <TYPE NAME= "Channels"></TYPE>
      <TYPE NAME= "Physical drives"></TYPE>
      <EXPRESSION VALUE="(mreads+mwrites)/mtime"></EXPRESSION>
   </METRIC>
   
   <METRIC NAME="Reads per second">
      <TYPE NAME= "Arrays"></TYPE>
      <TYPE NAME= "Logical drives"></TYPE>
      <TYPE NAME= "Channels"></TYPE>
      <TYPE NAME= "Physical drives"></TYPE>
      <EXPRESSION  VALUE="mreads/mtime"></EXPRESSION>
   </METRIC>
   
   <METRIC NAME="Writes per second">
      <TYPE NAME= "Arrays"></TYPE>
      <TYPE NAME= "Logical drives"></TYPE>
      <TYPE NAME= "Channels"></TYPE>
      <TYPE NAME= "Physical drives"></TYPE>
      <EXPRESSION  VALUE="mwrites/mtime"></EXPRESSION>
   </METRIC>
   
   <METRIC NAME="Total MB per second">
      <TYPE NAME= "Arrays"></TYPE>
      <TYPE NAME= "Logical drives"></TYPE>
      <TYPE NAME= "Channels"></TYPE>
      <TYPE NAME= "Physical drives"></TYPE>
      <EXPRESSION  VALUE="(readSec+writeSec)/(mtime*2048)"></EXPRESSION>
   </METRIC>
   
   <METRIC NAME="Reads MB per second">
      <TYPE NAME= "Arrays"></TYPE>
      <TYPE NAME= "Logical drives"></TYPE>
      <TYPE NAME= "Channels"></TYPE>
      <TYPE NAME= "Physical drives"></TYPE>
      <EXPRESSION  VALUE="(readSec)/(mtime*2048)"></EXPRESSION>
   </METRIC>
   
   <METRIC NAME="Writes MB per second">
      <TYPE NAME= "Arrays"></TYPE>
      <TYPE NAME= "Logical drives"></TYPE>
      <TYPE NAME= "Channels"></TYPE>
      <TYPE NAME= "Physical drives"></TYPE>
      <EXPRESSION  VALUE="(writeSec)/(mtime*2048)"></EXPRESSION>
   </METRIC>
   
   <METRIC NAME="Avg I/O size">
      <TYPE NAME= "Arrays"></TYPE>
      <TYPE NAME= "Logical drives"></TYPE>
      <TYPE NAME= "Channels"></TYPE>
      <TYPE NAME= "Physical drives"></TYPE>
      <EXPRESSION  VALUE="(readSec+writeSec)/(mreads+mwrites)"></EXPRESSION>
   </METRIC>
   
   <METRIC NAME="Avg read size">
      <TYPE NAME= "Arrays"></TYPE>
      <TYPE NAME= "Logical drives"></TYPE>
      <TYPE NAME= "Channels"></TYPE>
      <TYPE NAME= "Physical drives"></TYPE>
      <EXPRESSION  VALUE="readSec/mreads"></EXPRESSION>
   </METRIC>
   
   <METRIC NAME="Avg write size">
      <TYPE NAME= "Arrays"></TYPE>
      <TYPE NAME= "Logical drives"></TYPE>
      <TYPE NAME= "Channels"></TYPE>
      <TYPE NAME= "Physical drives"></TYPE>
      <EXPRESSION  VALUE="writeSec/mwrites"></EXPRESSION>
   </METRIC>
   
</METRICLIST>
